{
  "name": "milsimapi",
  "version": "1.0.0",
  "description": "",
  "license": "ISC",
  "author": "Ajdj100",
  "type": "commonjs",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "tsc && && tsc-alias && cross-env NODE_ENV=development node ./built/api/src/index.js",
    "prod": "tsc && tsc-alias && node ./built/api/src/index.js",
    "build": "tsc && tsc-alias",
    
    "migrate": "node ./scripts/migrate.js",
    "migrate:create": "npm run migrate -- create -ext sql -dir /migrations",
    "migrate:seed": "node ./scripts/seed.js",
    "migrate:up": "npm run migrate -- up",
    "migrate:down": "npm run migrate -- down 1"

  },
  "dependencies": {
    "@sentry/node": "^10.27.0",
    "@types/express-session": "^1.18.2",
    "connect-sqlite3": "^0.9.16",
    "cors": "^2.8.5",
    "dotenv": "16.6.1",
    "express": "^5.1.0",
    "express-session": "^1.18.2",
    "mariadb": "^3.4.5",
    "morgan": "^1.10.1",
    "mysql2": "^3.14.3",
    "passport": "^0.7.0",
    "passport-openidconnect": "^0.1.2"
  },
  "devDependencies": {
    "@types/express": "^5.0.3",
    "@types/morgan": "^1.9.10",
    "@types/node": "^24.8.1",
    "cross-env": "^10.1.0",
    "tsc-alias": "^1.8.16",
    "typescript": "^5.9.3"
  }
}